using System;
using UnityEngine;

namespace Intrepid.Gameplay.Entities.Player.Sentinel.Inputs
{
    public interface SentinelInputs
    {
        Func<Vector2> Movement { get; }
        Func<bool> Interact { get; }
        Func<bool> DPadLeft { get; }
        Func<bool> DPadRight { get; }

        // debug
        public Func<bool> Reset { get; }
    }
}